gnutls_x509_trust_list_init(3)

NAME
gnutls_x509_trust_list_init - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_init(gnutls_x509_trust_list_t * list, unsigned int size);

ARGUMENTS

gnutls_x509_trust_list_t * list
    The structure to be initialized

unsigned int size
    The size of the internal hash table. Use (0) for default size.

DESCRIPTION
This function will initialize an X.509 trust list structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/